FROM quay.io/keycloak/keycloak:24.0.4 as builder

# Устанавливаем фичи и собираем optimized образ
RUN /opt/keycloak/bin/kc.sh build --db=postgres --features=token-exchange,admin-fine-grained-authz --optimized

FROM quay.io/keycloak/keycloak:24.0.4

# Копируем собранный optimized образ
COPY --from=builder /opt/keycloak/ /opt/keycloak/

WORKDIR /opt/keycloak

# Экспортируем порт
EXPOSE 8080

# Запускаем в optimized режиме
ENTRYPOINT ["/opt/keycloak/bin/kc.sh", "start", "--optimized"]